MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001283VCMIMechanics - Battlespublic2013-05-30 17:082022-04-12 08:58
ReporterZamolxis 
Assigned ToTow 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.92 
Target VersionFixed in Version0.94 
Summary0001283: Wait button is available in Tactics phase and leads to false freeze
DescriptionWait button & W hotkey can be used in Tactics phase and lead to false freeze, meaning no creature is selected anymore, giving the feeling you can't move anything at that moment. In reality you can just click Next Creature (/spacebar) or Start Combat (/enter) and it un-freezes.

In 0.92 we just get a soft warning in the Console (first screenshot).

Similar in 0.92c, where the warning is in red now and has the second line saying "...request must have been fishy".
Additional InformationH3 had it disabled in Tactics. From my part I don't mind if Wait is kept as long as it doesn't create issues. I'm just not sure if it's best that it acts same as Next Creature, or a different order of skipping creatures applies to it. But we can leave that decision for later.
TagsNo tags attached.
Attached Filesjpg file icon 2013-05-30_TacticsWait092.jpg [^] (31,126 bytes) 2013-05-30 17:08


jpg file icon 2013-05-30_TacticsWait092c.jpg [^] (47,813 bytes) 2013-05-30 17:08

- Relationships
related to 0001284assignedSXX Next Creature logic does not work like in OH3 in Tactics phase 

-  Notes
(0003705)
Tow (developer)
2013-06-15 22:12

Applied a patch from Gernsworth — fixed in r3411.
For now the button will be disabled during the tactics phase.

- Issue History
Date Modified Username Field Change
2013-05-30 17:08 Zamolxis New Issue
2013-05-30 17:08 Zamolxis File Added: 2013-05-30_TacticsWait092.jpg
2013-05-30 17:08 Zamolxis File Added: 2013-05-30_TacticsWait092c.jpg
2013-05-30 17:11 Zamolxis Description Updated View Revisions
2013-05-30 17:29 Zamolxis Issue cloned: 0001284
2013-05-30 17:29 Zamolxis Relationship added related to 0001284
2013-06-15 22:12 Tow Note Added: 0003705
2013-06-15 22:12 Tow Status new => resolved
2013-06-15 22:12 Tow Fixed in Version => 0.94
2013-06-15 22:12 Tow Resolution open => fixed
2013-06-15 22:12 Tow Assigned To => Tow
2022-04-12 08:58 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean